Note : This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support .
POST https://api.ap1.datadoghq.com/api/v2/llm-obs/v1/experiments/delete https://api.ap2.datadoghq.com/api/v2/llm-obs/v1/experiments/delete https://api.datadoghq.eu/api/v2/llm-obs/v1/experiments/delete https://api.ddog-gov.com/api/v2/llm-obs/v1/experiments/delete https://api.us2.ddog-gov.com/api/v2/llm-obs/v1/experiments/delete https://api.uk1.datadoghq.com/api/v2/llm-obs/v1/experiments/delete https://api.datadoghq.com/api/v2/llm-obs/v1/experiments/delete https://api.us3.datadoghq.com/api/v2/llm-obs/v1/experiments/delete https://api.us5.datadoghq.com/api/v2/llm-obs/v1/experiments/delete
Descripción general Delete one or more Agent Observability experiments.
Solicitud Body Data (required) Delete experiments payload.
Expand All
Data object for deleting Agent Observability experiments.
Attributes for deleting Agent Observability experiments.
experiment_ids [required ]
List of experiment IDs to delete.
Resource type of an Agent Observability experiment.
Allowed enum values: experiments
{
"data" : {
"attributes" : {
"experiment_ids" : [
"3fd6b5e0-8910-4b1c-a7d0-5b84de329012"
]
},
"type" : "experiments"
}
} Respuesta Bad Request
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Unauthorized
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Forbidden
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Ejemplo de código Copiar
## default
#
# Curl command curl -X POST "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/llm-obs/v1/experiments/delete " \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} " \
-d @- << EOF
{
"data": {
"attributes": {
"experiment_ids": [
"3fd6b5e0-8910-4b1c-a7d0-5b84de329012"
]
},
"type": "experiments"
}
}
EOF
"""
Delete Agent Observability experiments returns "No Content" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.agent_observability_api import AgentObservabilityApi
from datadog_api_client.v2.model.llm_obs_delete_experiments_data_attributes_request import (
LLMObsDeleteExperimentsDataAttributesRequest ,
)
from datadog_api_client.v2.model.llm_obs_delete_experiments_data_request import LLMObsDeleteExperimentsDataRequest
from datadog_api_client.v2.model.llm_obs_delete_experiments_request import LLMObsDeleteExperimentsRequest
from datadog_api_client.v2.model.llm_obs_experiment_type import LLMObsExperimentType
body = LLMObsDeleteExperimentsRequest (
data = LLMObsDeleteExperimentsDataRequest (
attributes = LLMObsDeleteExperimentsDataAttributesRequest (
experiment_ids = [
"3fd6b5e0-8910-4b1c-a7d0-5b84de329012" ,
],
),
type = LLMObsExperimentType . EXPERIMENTS ,
),
)
configuration = Configuration ()
configuration . unstable_operations [ "delete_llm_obs_experiments" ] = True
with ApiClient ( configuration ) as api_client :
api_instance = AgentObservabilityApi ( api_client )
api_instance . delete_llm_obs_experiments ( body = body )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" python3 "example.py"
# Delete Agent Observability experiments returns "No Content" response
require "datadog_api_client"
DatadogAPIClient . configure do | config |
config . unstable_operations [ "v2.delete_llm_obs_experiments" . to_sym ] = true
end
api_instance = DatadogAPIClient :: V2 :: AgentObservabilityAPI . new
body = DatadogAPIClient :: V2 :: LLMObsDeleteExperimentsRequest . new ({
data : DatadogAPIClient :: V2 :: LLMObsDeleteExperimentsDataRequest . new ({
attributes : DatadogAPIClient :: V2 :: LLMObsDeleteExperimentsDataAttributesRequest . new ({
experiment_ids : [
"3fd6b5e0-8910-4b1c-a7d0-5b84de329012" ,
] ,
}),
type : DatadogAPIClient :: V2 :: LLMObsExperimentType :: EXPERIMENTS ,
}),
})
api_instance . delete_llm_obs_experiments ( body )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" rb "example.rb"
// Delete Agent Observability experiments returns "No Content" response
package main
import (
"context"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
body := datadogV2 . LLMObsDeleteExperimentsRequest {
Data : datadogV2 . LLMObsDeleteExperimentsDataRequest {
Attributes : datadogV2 . LLMObsDeleteExperimentsDataAttributesRequest {
ExperimentIds : [] string {
"3fd6b5e0-8910-4b1c-a7d0-5b84de329012" ,
},
},
Type : datadogV2 . LLMOBSEXPERIMENTTYPE_EXPERIMENTS ,
},
}
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
configuration . SetUnstableOperationEnabled ( "v2.DeleteLLMObsExperiments" , true )
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewAgentObservabilityApi ( apiClient )
r , err := api . DeleteLLMObsExperiments ( ctx , body )
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `AgentObservabilityApi.DeleteLLMObsExperiments`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" go run "main.go"
// Delete Agent Observability experiments returns "No Content" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.AgentObservabilityApi ;
import com.datadog.api.client.v2.model.LLMObsDeleteExperimentsDataAttributesRequest ;
import com.datadog.api.client.v2.model.LLMObsDeleteExperimentsDataRequest ;
import com.datadog.api.client.v2.model.LLMObsDeleteExperimentsRequest ;
import com.datadog.api.client.v2.model.LLMObsExperimentType ;
import java.util.Collections ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
defaultClient . setUnstableOperationEnabled ( "v2.deleteLLMObsExperiments" , true );
AgentObservabilityApi apiInstance = new AgentObservabilityApi ( defaultClient );
LLMObsDeleteExperimentsRequest body =
new LLMObsDeleteExperimentsRequest ()
. data (
new LLMObsDeleteExperimentsDataRequest ()
. attributes (
new LLMObsDeleteExperimentsDataAttributesRequest ()
. experimentIds (
Collections . singletonList ( "3fd6b5e0-8910-4b1c-a7d0-5b84de329012" )))
. type ( LLMObsExperimentType . EXPERIMENTS ));
try {
apiInstance . deleteLLMObsExperiments ( body );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling AgentObservabilityApi#deleteLLMObsExperiments" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" java "Example.java"
// Delete Agent Observability experiments returns "No Content" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_agent_observability ::AgentObservabilityAPI ;
use datadog_api_client ::datadogV2 ::model ::LLMObsDeleteExperimentsDataAttributesRequest ;
use datadog_api_client ::datadogV2 ::model ::LLMObsDeleteExperimentsDataRequest ;
use datadog_api_client ::datadogV2 ::model ::LLMObsDeleteExperimentsRequest ;
use datadog_api_client ::datadogV2 ::model ::LLMObsExperimentType ;
#[tokio::main]
async fn main () {
let body = LLMObsDeleteExperimentsRequest ::new ( LLMObsDeleteExperimentsDataRequest ::new (
LLMObsDeleteExperimentsDataAttributesRequest ::new ( vec! [
"3fd6b5e0-8910-4b1c-a7d0-5b84de329012" . to_string (),
]),
LLMObsExperimentType ::EXPERIMENTS ,
));
let mut configuration = datadog ::Configuration ::new ();
configuration . set_unstable_operation_enabled ( "v2.DeleteLLMObsExperiments" , true );
let api = AgentObservabilityAPI ::with_config ( configuration );
let resp = api . delete_llm_obs_experiments ( body ). await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" cargo run
/**
* Delete Agent Observability experiments returns "No Content" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
configuration . unstableOperations [ "v2.deleteLLMObsExperiments" ] = true ;
const apiInstance = new v2 . AgentObservabilityApi ( configuration );
const params : v2.AgentObservabilityApiDeleteLLMObsExperimentsRequest = {
body : {
data : {
attributes : {
experimentIds : [ "3fd6b5e0-8910-4b1c-a7d0-5b84de329012" ],
},
type : "experiments" ,
},
},
};
apiInstance
. deleteLLMObsExperiments ( params )
. then (( data : any ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" tsc "example.ts"